ApplicationAttemptReport (Apache Hadoop YARN API 3.5.0 API)
Description: declaration: package: org.apache.hadoop.yarn.api.records, class: ApplicationAttemptReport

Package org.apache.hadoop.yarn.api.records

# Class ApplicationAttemptReport

java.lang.Object
org.apache.hadoop.yarn.api.records.ApplicationAttemptReport

@Public @Unstable public abstract class ApplicationAttemptReport extends Object
`ApplicationAttemptReport` is a report of an application attempt.

It includes details such as:

- `ApplicationAttemptId` of the application.
- Host on which the `ApplicationMaster` of this attempt is running.
- RPC port of the `ApplicationMaster` of this attempt.
- Tracking URL.
- Diagnostic information in case of errors.
- `YarnApplicationAttemptState` of the application attempt.
- `ContainerId` of the master Container.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ApplicationAttemptReport()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract ContainerId`
  `getAMContainerId()`
  Get the `ContainerId` of AMContainer for this attempt
  `abstract ApplicationAttemptId`
  `getApplicationAttemptId()`
  Get the `ApplicationAttemptId` of this attempt of the application
  `abstract String`
  `getDiagnostics()`
  Get the diagnositic information of the application attempt in case of errors.
  `abstract long`
  `getFinishTime()`
  Get the finish time of the application.
  `abstract String`
  `getHost()`
  Get the host on which this attempt of `ApplicationMaster` is running.
  `abstract String`
  `getOriginalTrackingUrl()`
  Get the original tracking url for the application attempt.
  `abstract int`
  `getRpcPort()`
  Get the RPC port of this attempt `ApplicationMaster`.
  `abstract long`
  `getStartTime()`
  `abstract String`
  `getTrackingUrl()`
  Get the tracking url for the application attempt.
  `abstract YarnApplicationAttemptState`
  `getYarnApplicationAttemptState()`
  Get the YarnApplicationAttemptState of the application attempt.
  `static ApplicationAttemptReport`
  `newInstance(ApplicationAttemptId applicationAttemptId, String host, int rpcPort, String url, String oUrl, String diagnostics, YarnApplicationAttemptState state, ContainerId amContainerId)`
  `static ApplicationAttemptReport`
  `newInstance(ApplicationAttemptId applicationAttemptId, String host, int rpcPort, String url, String oUrl, String diagnostics, YarnApplicationAttemptState state, ContainerId amContainerId, long startTime, long finishTime)`
  `abstract void`
  `setAMContainerId(ContainerId amContainerId)`
  `abstract void`
  `setApplicationAttemptId(ApplicationAttemptId applicationAttemptId)`
  `abstract void`
  `setDiagnostics(String diagnostics)`
  `abstract void`
  `setFinishTime(long finishTime)`
  `abstract void`
  `setHost(String host)`
  `abstract void`
  `setOriginalTrackingUrl(String oUrl)`
  `abstract void`
  `setRpcPort(int rpcPort)`
  `abstract void`
  `setStartTime(long startTime)`
  `abstract void`
  `setTrackingUrl(String url)`
  `abstract void`
  `setYarnApplicationAttemptState(YarnApplicationAttemptState yarnApplicationAttemptState)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ApplicationAttemptReport

    public ApplicationAttemptReport()

- ## Method Details

  - ### newInstance

    @Private @Unstable public static ApplicationAttemptReport newInstance(ApplicationAttemptId applicationAttemptId, String host, int rpcPort, String url, String oUrl, String diagnostics, YarnApplicationAttemptState state, ContainerId amContainerId, long startTime, long finishTime)

  - ### newInstance

    public static ApplicationAttemptReport newInstance(ApplicationAttemptId applicationAttemptId, String host, int rpcPort, String url, String oUrl, String diagnostics, YarnApplicationAttemptState state, ContainerId amContainerId)

  - ### getYarnApplicationAttemptState

    @Public @Unstable public abstract YarnApplicationAttemptState getYarnApplicationAttemptState()
    Get the YarnApplicationAttemptState of the application attempt.
    Returns:
      YarnApplicationAttemptState of the application attempt

  - ### setYarnApplicationAttemptState

    @Private @Unstable public abstract void setYarnApplicationAttemptState(YarnApplicationAttemptState yarnApplicationAttemptState)

  - ### getRpcPort

    @Public @Unstable public abstract int getRpcPort()
    Get the RPC port of this attempt `ApplicationMaster`.
    Returns:
      RPC port of this attempt `ApplicationMaster`

  - ### setRpcPort

    @Private @Unstable public abstract void setRpcPort(int rpcPort)

  - ### getHost

    @Public @Unstable public abstract String getHost()
    Get the host on which this attempt of `ApplicationMaster` is running.
    Returns:
      host on which this attempt of `ApplicationMaster` is running

  - ### setHost

    @Private @Unstable public abstract void setHost(String host)

  - ### getDiagnostics

    @Public @Unstable public abstract String getDiagnostics()
    Get the diagnositic information of the application attempt in case of errors.
    Returns:
      diagnositic information of the application attempt in case of errors

  - ### setDiagnostics

    @Private @Unstable public abstract void setDiagnostics(String diagnostics)

  - ### getTrackingUrl

    @Public @Unstable public abstract String getTrackingUrl()
    Get the tracking url for the application attempt.
    Returns:
      tracking url for the application attempt

  - ### setTrackingUrl

    @Private @Unstable public abstract void setTrackingUrl(String url)

  - ### getOriginalTrackingUrl

    @Public @Unstable public abstract String getOriginalTrackingUrl()
    Get the original tracking url for the application attempt.
    Returns:
      original tracking url for the application attempt

  - ### setOriginalTrackingUrl

    @Private @Unstable public abstract void setOriginalTrackingUrl(String oUrl)

  - ### getApplicationAttemptId

    @Public @Unstable public abstract ApplicationAttemptId getApplicationAttemptId()
    Get the `ApplicationAttemptId` of this attempt of the application
    Returns:
      `ApplicationAttemptId` of the attempt

  - ### setApplicationAttemptId

    @Private @Unstable public abstract void setApplicationAttemptId(ApplicationAttemptId applicationAttemptId)

  - ### getAMContainerId

    @Public @Unstable public abstract ContainerId getAMContainerId()
    Get the `ContainerId` of AMContainer for this attempt
    Returns:
      `ContainerId` of the attempt

  - ### setAMContainerId

    @Private @Unstable public abstract void setAMContainerId(ContainerId amContainerId)

  - ### getStartTime

    @Public @Unstable public abstract long getStartTime()

  - ### setStartTime

    @Private @Unstable public abstract void setStartTime(long startTime)

  - ### getFinishTime

    @Public @Unstable public abstract long getFinishTime()
    Get the finish time of the application.
    Returns:
      finish time of the application

  - ### setFinishTime

    @Private @Unstable public abstract void setFinishTime(long finishTime)